Debian Bug report logs - #547177
midori: segfaults when starting under kfreebsd-i386

version graph

Package: libwebkit-1.0-2; Maintainer for libwebkit-1.0-2 is Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>;

Reported by: Rogério Brito <rbrito@ime.usp.br>

Date: Thu, 17 Sep 2009 13:09:01 UTC

Severity: serious

Tags: confirmed, moreinfo, patch

Merged with 550362, 559925, 598894, 598956

Found in versions webkit/1.1.17-2, webkit/1.2.4-1, webkit/1.2.5-2

Fixed in version webkit/1.2.5-2.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#547177; Package midori. (Thu, 17 Sep 2009 13:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>. (Thu, 17 Sep 2009 13:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: submit@bugs.debian.org
Subject: midori: segfaults when starting under kfreebsd-i386
Date: Thu, 17 Sep 2009 09:23:55 -0300
Package: midori
Version: 0.1.10-1
Severity: important
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-CC: debian-bsd@lists.debian.org

Hi, Ryan & Co.

Unfortunately, midori segfaults when started under kfreebsd-*.

There is a good amount of messages on the console saying that it can't
find some directories under /usr/share/midori (e.g., the scripts and
styles directories). It also complains that it cannot set any monitor
for directories.

(Sorry, I don't know any way to copy the messages here).

I installed midori-dbg and gdb, but I could not get a backtrace of the
segfault, as gdb says that "Cannot access memory at address 0x5". You
can see it for yourself in a kfreebsd VM).

I could not get this reproducible on my linux-amd64 machine, though.  I
have not dug in the code yet.

Perhaps what I reported above are red herrings, but they are, at least,
a start in investigating the problem.

I would like very much to have a webkit-based browser running on
kfreebsd. :-)


Thanks, Rogério Brito.

P.S.: Sorry for not providing more information, but I'm almost heading
to bed and my head is exploding.
-- 
Rogério Brito : rbrito@{mackenzie,ime.usp}.br : GPG key 1024D/7C2CAEB8
http://www.ime.usp.br/~rbrito : http://meusite.mackenzie.com.br/rbrito
Projects: algorithms.berlios.de : lame.sf.net : vrms.alioth.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#547177; Package midori. (Thu, 17 Sep 2009 13:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. (Thu, 17 Sep 2009 13:54:10 GMT) Full text and rfc822 format available.

Message #10 received at 547177@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 547177@bugs.debian.org
Subject: Re: Bug#547177: midori: segfaults when starting under kfreebsd-i386
Date: Thu, 17 Sep 2009 06:48:52 -0700
[Message part 1 (text/plain, inline)]
Hi Rogério,

On Thu, Sep 17, 2009 at 09:23:55AM -0300, Rogério Brito wrote:
> Package: midori
> Version: 0.1.10-1
> Severity: important
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> X-Debbugs-CC: debian-bsd@lists.debian.org
> 
> Hi, Ryan & Co.
> 
> Unfortunately, midori segfaults when started under kfreebsd-*.
> 
> There is a good amount of messages on the console saying that it can't
> find some directories under /usr/share/midori (e.g., the scripts and
> styles directories). It also complains that it cannot set any monitor
> for directories.
> 
> (Sorry, I don't know any way to copy the messages here).
> 
> I installed midori-dbg and gdb, but I could not get a backtrace of the
> segfault, as gdb says that "Cannot access memory at address 0x5". You
> can see it for yourself in a kfreebsd VM).
> 
> I could not get this reproducible on my linux-amd64 machine, though.  I
> have not dug in the code yet.
> 
> Perhaps what I reported above are red herrings, but they are, at least,
> a start in investigating the problem.
> 

sure, and thanks for that.

> I would like very much to have a webkit-based browser running on
> kfreebsd. :-)
> 

okay, I'll look into it..
tho it might take some time to get a kfreebsd VM set up.

> 
> Thanks, Rogério Brito.
> 
> P.S.: Sorry for not providing more information, but I'm almost heading
> to bed and my head is exploding.

I know the feeling ;)

Cheers,
Ryan

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#547177; Package midori. (Fri, 18 Sep 2009 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Fri, 18 Sep 2009 12:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 547177@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 547177@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#547177: midori: segfaults when starting under kfreebsd-i386
Date: Fri, 18 Sep 2009 14:30:50 +0200 (CEST)
Hi,

I have to note midori starts under kfreebsd-amd64,
but it is unable to open http://www.debian.org.

On the other hand it is able to load and render pages like

http://www.seznam.cz/
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=547177
http://packages.qa.debian.org/m/midori.html
http://lists.debian.org/

and even

https://buildd.debian.org/
https://buildd.debian.org/~luk/status/package.php?p=midori

Petr

> There is a good amount of messages on the console saying that it can't
> find some directories under /usr/share/midori (e.g., the scripts and
> styles directories). It also complains that it cannot set any monitor
> for directories.

Similarly for me:

** (midori:1493): WARNING **: could not monitor /usr/share/midori/scripts: 
Unable to find default local directory monitor type

(midori:1493): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(midori:1493): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 
`G_TYPE_CHECK_INSTANCE (instance)' failed

** (midori:1493): WARNING **: could not monitor 
/usr/local/share/midori/scripts: Unable to find default local directory 
monitor type

(midori:1493): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(midori:1493): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 
`G_TYPE_CHECK_INSTANCE (instance)' failed

** (midori:1493): WARNING **: could not monitor 
/root/.local/share/midori/scripts: Unable to find default local directory 
monitor type

(midori:1493): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(midori:1493): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 
`G_TYPE_CHECK_INSTANCE (instance)' failed

** (midori:1493): WARNING **: could not monitor /usr/share/midori/styles: 
Unable to find default local directory monitor type

(midori:1493): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(midori:1493): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 
`G_TYPE_CHECK_INSTANCE (instance)' failed

** (midori:1493): WARNING **: could not monitor 
/usr/local/share/midori/styles: Unable to find default local directory 
monitor type

(midori:1493): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(midori:1493): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 
`G_TYPE_CHECK_INSTANCE (instance)' failed

** (midori:1493): WARNING **: could not monitor 
/root/.local/share/midori/styles: Unable to find default local directory 
monitor type

(midori:1493): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(midori:1493): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 
`G_TYPE_CHECK_INSTANCE (instance)' failed

(midori:1493): Gtk-WARNING **: Unable to find default local directory 
monitor type

(midori:1493): Gtk-WARNING **: Unable to find default local directory 
monitor type





Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#547177; Package midori. (Mon, 25 Jan 2010 19:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryan@debian.org>. (Mon, 25 Jan 2010 19:45:04 GMT) Full text and rfc822 format available.

Message #20 received at 547177@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Debian Bug Tracking System <547177@bugs.debian.org>
Subject: Re: segfaults when starting under kfreebsd-i386
Date: Mon, 25 Jan 2010 20:42:18 +0100
[Message part 1 (text/plain, inline)]
Package: midori
Version: 0.2.2-1
Severity: normal

I'm trying to attach the output of kdump (gdb is known to be broken right now
unfortunately).

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (700, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.2-1-686
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages midori depends on:
ii  dbus-x11               1.2.16-2          simple interprocess messaging syst
ii  libatk1.0-0            1.28.0-1          The ATK accessibility toolkit
ii  libc0.1                2.10.2-2          GNU C Library: Shared libraries
ii  libcairo2              1.8.8-2           The Cairo 2D vector graphics libra
ii  libdbus-1-3            1.2.16-2          simple interprocess messaging syst
ii  libdbus-glib-1-2       0.82-2            simple interprocess messaging syst
ii  libfontconfig1         2.8.0-2           generic font configuration library
ii  libfreetype6           2.3.11-1          FreeType 2 font engine, shared lib
ii  libglib2.0-0           2.22.4-1          The GLib library of C routines
ii  libgtk2.0-0            2.18.6-1          The GTK+ graphical user interface 
ii  libjs-mootools         1.2.4.0~debian1-1 compact JavaScript framework
ii  libnotify1 [libnotify1 0.4.5-1           sends desktop notifications to a n
ii  libpango1.0-0          1.26.2-1          Layout and rendering of internatio
ii  libsoup2.4-1           2.29.5-2          an HTTP library implementation in 
ii  libsqlite3-0           3.6.21-2          SQLite 3 shared library
ii  libunique-1.0-0        1.1.6-1           Library for writing single instanc
ii  libwebkit-1.0-2        1.1.19-1          Web content engine library for Gtk
ii  libx11-6               2:1.3.2-1         X11 client-side library
ii  libxml2                2.7.6.dfsg-2      GNOME XML library

Versions of packages midori recommends:
ii  gnome-icon-theme              2.28.0-1   GNOME Desktop icon theme

midori suggests no packages.

-- no debconf information
[midori (text/x-c, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#547177; Package midori. (Fri, 30 Apr 2010 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryan@debian.org>. (Fri, 30 Apr 2010 08:15:03 GMT) Full text and rfc822 format available.

Message #25 received at 547177@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 547177@bugs.debian.org
Subject: webkit crash?
Date: Fri, 30 Apr 2010 10:12:47 +0200
In fact, GtkLauncher crashes too when starting, I guess when loading
google.com. Trying to run GtkLauncher http://www.debian.org doesn't
crash but leads to a “Problem occurred loading the URL www.debian.org”.
-- 
Yves-Alexis




Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#547177; Package midori. (Mon, 25 Oct 2010 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryan@debian.org>. (Mon, 25 Oct 2010 21:00:03 GMT) Full text and rfc822 format available.

Message #30 received at 547177@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 547177@bugs.debian.org
Cc: debian-bsd <debian-bsd@lists.debian.org>, control@bugs.debian.org, Yves-Alexis Perez <corsac@debian.org>
Subject: Re: Bug#547177: midori: segfaults when starting under kfreebsd-i386
Date: Mon, 25 Oct 2010 21:57:16 +0100
[Message part 1 (text/plain, inline)]
package midori
reassign 547177 libwebkit-1.0-2 1.2.4-1
affects 547177 + midori
tags 547177 + confirmed
package
forcemerge 547177 559925
thanks

I can confirm that this issue is caused by the webkit javascript JIT bug
on kfreebsd-i386. Using webkit with the
webkit-1.2.4-fix_jit_on_kfreebsd-i386-1.patch[1] applied stops midori
crashing.

Regards,
Mike.

[1] <http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=69;filename=webkit-1.2.4-fix_jit_on_kfreebsd-i386-1.patch;att=1;bug=598956>


[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'midori' to 'libwebkit-1.0-2'. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Mon, 25 Oct 2010 21:00:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions webkit/1.2.4-1; no longer marked as found in versions midori/0.2.2-1 and midori/0.1.10-1. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Mon, 25 Oct 2010 21:06:06 GMT) Full text and rfc822 format available.

Added indication that 547177 affects midori Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Mon, 25 Oct 2010 21:06:06 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Mon, 25 Oct 2010 21:06:07 GMT) Full text and rfc822 format available.

Forcibly Merged 547177 550362 559925 598894 598956. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Mon, 25 Oct 2010 21:06:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions webkit/1.2.5-2. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 07 Nov 2010 09:16:26 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 07 Nov 2010 09:16:29 GMT) Full text and rfc822 format available.

Information stored :
Bug#547177; Package libwebkit-1.0-2. (Sun, 07 Nov 2010 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Sun, 07 Nov 2010 11:27:03 GMT) Full text and rfc822 format available.

Message #49 received at 547177-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 598956@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#598956: javascript segfaults in webkit on kfreebsd-i386
Date: Sun, 7 Nov 2010 10:09:26 +0100 (CET)
found 598956 1.2.5-2
severity 598956 serious
--

Hi,

it brokes many browsers on kfreebsd-i386, please apply (now) tested patch,
which is in

Message #64 received at 598956@bugs.debian.org
Message #69 received at 598956@bugs.debian.org

The patch itself is just adding four times "|| defined(__GLIBC__)".

Thanks

	Petr





Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 11 Nov 2010 10:00:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 Jan 2011 07:33:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:57:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.